# MRG qpidd broker port detector
# File:        rhts_check_broker_running.awk
# Description: Awk netstat parser detects whether qpidd runs on specified port
# Usage:       netstat -nlt | \
#              gawk -f rhts_check_broker_running.awk qpidport=${QPIDD_PORT}
# Return val.: Returns 1 if qpidd not running otherwise 0
# Author:      David Sommerseth <dsommers@redhat.com>

# ###########################################################################
# init routine
# ###########################################################################
BEGIN{
    qpidport=0
    qpid_running=0
}

# ###########################################################################
# @ line routines
# ###########################################################################
{
    if( !portreg ) {
        portreg = sprintf("(.*\\:%i$)", qpidport)
    }
}

$4 ~ portreg {
    if ( qpidport != 0 ) {
        qpid_running=1
        exit 0
    }
}

# ###########################################################################
# end routine
# ###########################################################################
END{
    if( qpid_running == 0 ) {
        print "Qpid daemon is not available"
        exit 1
    } 
}

# ###########################################################################
# eof
# ###########################################################################
